Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class EntityImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.EntityImpl

Direct Known Subclasses:
  DeferredEntityImpl

public class EntityImpl
extends ParentNode
implements org.w3c.dom.Entity

Entity nodes hold the reference data for an XML Entity -- either parsed or unparsed. The nodeName (inherited from Node) will contain the name (if any) of the Entity. Its data will be contained in the Entity's children, in exactly the structure which an EntityReference to this name will present within the document's body.

Note that this object models the actual entity, _not_ the entity declaration or the entity reference.

An XML processor may choose to completely expand entities before the structure model is passed to the DOM; in this case, there will be no EntityReferences in the DOM tree.

Quoting the 10/01 DOM Proposal,

> "The DOM Level 1 does not support editing Entity nodes; if a user wants to make changes to the contents of an Entity, every related EntityReference node has to be replaced in the structure model by a clone of the Entity's contents, and then the desired changes must be made to each of those clones instead. All the descendants of an Entity node are readonly."

I'm interpreting this as: It is the parser's responsibilty to call the non-DOM operation setReadOnly(true,true) after it constructs the Entity. Since the DOM explicitly decided not to deal with this, _any_ answer will involve a non-DOM operation, and this is the simplest solution.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `encoding` Encoding
`protected java.lang.String` | `name` Entity name.
`protected java.lang.String` | `notationName` Notation name.
`protected java.lang.String` | `publicId` Public identifier.
`protected java.lang.String` | `systemId` System identifier.
`protected java.lang.String` | `version` Version

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`EntityImpl(CoreDocumentImpl ownerDoc, java.lang.String name)` Factory constructor.

Method Summary
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Clone node.
`java.lang.String` | `getEncoding()` DOM Level 3 WD - experimental the encoding of this entity, when it is an external parsed entity.
`java.lang.String` | `getNodeName()` Returns the entity name
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getNotationName()` Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them.
`java.lang.String` | `getPublicId()` The public identifier associated with the entity.
`java.lang.String` | `getSystemId()` The system identifier associated with the entity.
`java.lang.String` | `getVersion()` DOM Level 3 WD - experimental the version number of this entity, when it is an external parsed entity.
`void` | `setEncoding(java.lang.String value)` DOM Level 3 WD - experimental encoding - An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity.
`void` | `setNotationName(java.lang.String name)` DOM Level 2: Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them.
`void` | `setPublicId(java.lang.String id)` DOM Level 2: The public identifier associated with the entity.
`void` | `setSystemId(java.lang.String id)` DOM Level 2: The system identifier associated with the entity.
`void` | `setVersion(java.lang.String value)` DOM Level 3 WD - experimental version - An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity.

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, normalize, removeChild, replaceChild, setReadOnly, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getAttributes, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, hasAttributes, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Entity name.

### publicId

    protected java.lang.String publicId

  Public identifier.

### systemId

    protected java.lang.String systemId

  System identifier.

### encoding

    protected java.lang.String encoding

  Encoding

### version

    protected java.lang.String version

  Version

### notationName

    protected java.lang.String notationName

  Notation name.

Constructor Detail

### EntityImpl

    public EntityImpl(CoreDocumentImpl ownerDoc,
                      java.lang.String name)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Overrides:
    getNodeType in class NodeImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the entity name

  Overrides:
    getNodeName in class NodeImpl

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Clone node.

  Overrides:
    cloneNode in class ParentNode

### getPublicId

    public java.lang.String getPublicId()

  The public identifier associated with the entity. If not specified, this will be null.
  Specified by:
    getPublicId in interface org.w3c.dom.Entity

### getSystemId

    public java.lang.String getSystemId()

  The system identifier associated with the entity. If not specified, this will be null.
  Specified by:
    getSystemId in interface org.w3c.dom.Entity

### getVersion

    public java.lang.String getVersion()

  DOM Level 3 WD - experimental the version number of this entity, when it is an external parsed entity.

### getEncoding

    public java.lang.String getEncoding()

  DOM Level 3 WD - experimental the encoding of this entity, when it is an external parsed entity.

### getNotationName

    public java.lang.String getNotationName()

  Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them. Parsed entities, which are in XML format, don't need this and set it to null.
  Specified by:
    getNotationName in interface org.w3c.dom.Entity

### setPublicId

    public void setPublicId(java.lang.String id)

  DOM Level 2: The public identifier associated with the entity. If not specified, this will be null.

### setEncoding

    public void setEncoding(java.lang.String value)

  DOM Level 3 WD - experimental encoding - An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity. This is null otherwise

### setVersion

    public void setVersion(java.lang.String value)

  DOM Level 3 WD - experimental version - An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity. This is null otherwise

### setSystemId

    public void setSystemId(java.lang.String id)

  DOM Level 2: The system identifier associated with the entity. If not specified, this will be null.

### setNotationName

    public void setNotationName(java.lang.String name)

  DOM Level 2: Unparsed entities -- which contain non-XML data -- have a "notation name" which tells applications how to deal with them. Parsed entities, which are in XML format, don't need this and set it to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference